The HFS downlevel Storage Protect service

The main HFS Storage Protect service requires the use of a version 8 Storage Protect (previously Spectrum Protect) client to make use of up to date features and security settings. The service in its current form was implemented in 2022. At that time users of the old service were required to migrate and, if necessary, upgrade their Spectrum Protect (as it was called then) client software. However a small number of nodes were running old out of date operating system versions that could not run a version 8 client. In order to continue to provide a backup service to those nodes we also run a small "downlevel" service. This differs from the main service in that

  • It has relaxed security requirements, in particular it does not enforce a minimum 256 bit encryption
  • It allows the use of old client software
  • It is for existing systems only - no new systems can use it
  • If you upgrade your operating system so that you can run the version 8 Storage Protect client you will be required to move to the main service.

As the usage of the downlevel service dwindles it is likely that at some point it will be discontinued. If that decision is made you will be given ample notice and we will discuss with you alternative options. We are committed to running the downlevel service until at least the end of 2024 with annual reviews.

Note the documentation on this website is for the main service and while much of it will still apply, not all of it will. In particular the client software on the downlevel service will be branded either as Tivoli Storage Manager or Spectrum Protect rather than Storage Protect. 

Some notes relevant to the downlevel service follow. For anything you can't find please contact us at hfs@ox.ac.uk for assistance.

Expand All

Windows 7 and Windows Server 2008 R2 both 32-bit and 64-bit are supported with the Spectrum Protect 7.1.8.4 client or earlier.

Later 32-bit versions of Windows are also supported with the Spectrum Protect 7.1.8.4 client. 64-bit versions can use the main service.

The final client version for 32-bit Linux was Tivoli Storage Manager (TSM) 6.2.5.4

Mac Lion (OS X 10.7) and Mountain Lion (OS X 10.8) are supported with version 6 TSM or version 7 Spectrum Protect clients.

Expand All

Version 7 client

Stop the scheduler daemon with:

svcadm disable dsmsched

Start the scheduler daemon with:

svcadm disable dsmsched

To restart the scheduler first stop it then start it.

Version 5 client

Stop the scheduler daemon with:

svcadm disable dsmcad

Start the scheduler daemon with:

svcadm enable dsmcad

To restart the scheduler first stop it then start it.

If you are running the version 7 client

  1. Stop the scheduler daemon.
    svcadm disable dsmsched
  2. Remove the scheduler daemon.
    svccfg delete svc:/network/dsmsched:default
  3. Uninstall the client software.
    pkgrm TIVsmCba
    pkgrm TIVsmCapi
    pkgrm gsk8ssl64
    pkgrm gsk8cry64

If you are running the version 5 client:

  1. Stop the scheduler daemon.
    svcadm disable dsmcad
  2. Remove the scheduler daemon.
    /opt/tivoli/tsm/client/ba/bin/uninstall_xml.sh
  3. Uninstall the client software.
    pkgrm TIVsmCoucs

Get support


If you cannot find the solution you need here then we have other ways to get IT support

Get IT support